Subject: Re: Please add rust-i2c-next and rust-i2c-fixes to linux-next

From: Igor Korotin <[email-masked]>
Date: Sat, 4 Apr 2026 15:50:59 +0100

Hello Mark

On 3/30/2026 2:12 PM, Mark Brown wrote:
> On Mon, Mar 30, 2026 at 12:27:55PM +0100, Mark Brown wrote:
>> On Sun, Mar 29, 2026 at 10:59:19AM +1100, Stephen Rothwell wrote:
>>
>>>> Please add the following tree to linux-next:
>>>> Tree: https://github.com/ikrtn/rust-for-linux
>>>> - Branch: rust-i2c-next
>>>> - Branch: rust-i2c-fixes
>>
>>> Mark Brown (cc'd) now maintains the linux-next tree.
>>
>> All being well these should be included from today.
> 
> BTW I note that both trees have the same content and that looks like
> -next material, I would expect the -fixes branch to be based on Linus'
> tree and only contain bug fixes.

Both branches currently have identical content because they are newly
created.
If the -fixes branch is expected to be based on Linus’s tree and contain
only bug fixes, I can rebase it accordingly. Please confirm the preferred
base branch.
Thanks
Igor